---
updatedAt: 2026-05-20T16:41:35.000Z
---

Fetch the complete documentation index at: https://docs.blockdaemon.com/llms.txt. Use this file to discover all available pages before exploring further. Append .md to any documentation page URL to get its markdown version.

# Get Chains

Get a list of supported chains for token pricing.

# OpenAPI definition

```json
{
  "openapi": "3.0.3",
  "info": {
    "title": "Pricing API",
    "version": "1.0.0"
  },
  "servers": [
    {
      "url": "https://svc.blockdaemon.com/pricing/v1",
      "description": "Pricing Production Server"
    }
  ],
  "security": [
    {
      "bearerAuth": []
    },
    {
      "apiKeyAuthHeader": []
    }
  ],
  "paths": {
    "/allowed_chains": {
      "get": {
        "summary": "Get Chains",
        "description": "Get a list of supported chains for token pricing.",
        "tags": [
          "pricing"
        ],
        "operationId": "GetChains",
        "responses": {
          "200": {
            "description": "OK",
            "content": {
              "application/json": {
                "schema": {
                  "$ref": "#/components/schemas/Chains"
                }
              }
            }
          },
          "401": {
            "$ref": "#/components/responses/UnauthorizedError"
          },
          "429": {
            "$ref": "#/components/responses/TooManyRequests"
          },
          "500": {
            "$ref": "#/components/responses/ServerError"
          },
          "503": {
            "$ref": "#/components/responses/ServiceUnavailable"
          }
        }
      }
    }
  },
  "components": {
    "schemas": {
      "Chain": {
        "type": "object",
        "properties": {
          "chain_id": {
            "type": "string"
          },
          "protocol": {
            "type": "string"
          },
          "network": {
            "type": "string"
          }
        }
      },
      "Chains": {
        "type": "object",
        "properties": {
          "chains": {
            "type": "array",
            "items": {
              "$ref": "#/components/schemas/Chain"
            }
          }
        }
      },
      "Error": {
        "type": "object",
        "properties": {
          "type": {
            "example": "bad-request",
            "type": "string",
            "description": "HTTP error type"
          },
          "code": {
            "example": 16384,
            "type": "integer",
            "description": "Numeric error code"
          },
          "title": {
            "example": "Invalid address",
            "type": "string",
            "description": "Short error description"
          },
          "status": {
            "example": 400,
            "type": "integer",
            "description": "HTTP status of the error"
          },
          "detail": {
            "example": "The requested address is invalid on this protocol",
            "type": "string",
            "description": "Long error description"
          }
        }
      }
    },
    "responses": {
      "UnauthorizedError": {
        "description": "Invalid or expired token",
        "content": {
          "application/json": {
            "schema": {
              "$ref": "#/components/schemas/Error"
            },
            "example": {
              "type": "unauthorized",
              "title": "Invalid Token",
              "status": 401
            }
          }
        }
      },
      "TooManyRequests": {
        "description": "Rate limit exceeded",
        "content": {
          "application/json": {
            "schema": {
              "$ref": "#/components/schemas/Error"
            },
            "example": {
              "type": "too-many-requests",
              "title": "Too Many Requests",
              "status": 429,
              "detail": "Request rate limits have been exceeded. Try again after a few seconds."
            }
          }
        }
      },
      "ServerError": {
        "description": "An internal server error happened",
        "content": {
          "application/json": {
            "schema": {
              "$ref": "#/components/schemas/Error"
            },
            "example": {
              "type": "internal-server-error",
              "title": "Internal Server Error",
              "status": 500
            }
          }
        }
      },
      "ServiceUnavailable": {
        "description": "The resource you are trying to access is currently unavailable",
        "content": {
          "application/json": {
            "schema": {
              "$ref": "#/components/schemas/Error"
            },
            "example": {
              "type": "unavailable",
              "title": "Unavailable",
              "status": 503
            }
          }
        }
      }
    },
    "securitySchemes": {
      "bearerAuth": {
        "type": "http",
        "description": "`Authorization: Bearer <Token>` header must be set to authenticate API requests.\nYou can create tokens in the \"Configure\" tab of your API access area at https://app.blockdaemon.com.",
        "scheme": "bearer",
        "bearerFormat": "Opaque",
        "x-default": "2go1YqUcuAr4WZ2-3WgSD3c7qpatZqQuNWhTVBldKZnTSUtw"
      },
      "apiKeyAuthHeader": {
        "type": "apiKey",
        "description": "`X-API-Key: <Token>` header must be set to authenticate API requests.\n        You can create tokens in the \"Configure\" tab of your API access area at https://app.blockdaemon.com.",
        "name": "X-API-Key",
        "in": "header",
        "x-default": "2go1YqUcuAr4WZ2-3WgSD3c7qpatZqQuNWhTVBldKZnTSUtw"
      }
    }
  },
  "tags": [
    {
      "name": "pricing"
    }
  ],
  "x-readme": {
    "samples-languages": [
      "curl",
      "go",
      "javascript",
      "python",
      "node"
    ],
    "explorer-enabled": true,
    "proxy-enabled": true
  }
}
```